apiVersion: template.openshift.io/v1
kind: Template
metadata:
  name: syndesis-oauth-client
  annotations:
    openshift.io/documentation-url: "https://syndesis.io"
    openshift.io/support-url: "https://access.redhat.com"
  labels:
    app: syndesis
    syndesis.io/app: syndesis
    syndesis.io/type: infrastructure
objects:
- apiVersion: v1
  kind: ServiceAccount
  metadata:
    name: syndesis-oauth-client
    labels:
      app: syndesis
    annotations:
      serviceaccounts.openshift.io/oauth-redirecturi.local: https://localhost:4200
      serviceaccounts.openshift.io/oauth-redirecturi.route: https://
      serviceaccounts.openshift.io/oauth-redirectreference.route: '{"kind": "OAuthRedirectReference", "apiVersion": "v1", "reference": {"kind": "Route","name": "syndesis"}}'
